Create a news. Send the fields of the new row in JSON. You must be an administrator.
POST
/data/news
curl
curl -X POST "http://api.example.com/data/news/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"title": "Project Update",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"content": "News content text"
}'
import requests
url = "http://api.example.com/data/news/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"title": "Project Update",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"content": "News content text"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"change": true,
"author_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"comment_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"preview_file_id": "a24a6ea4-ce75-4665-a070-57453082c250"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"change": false,
"author_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"comment_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"preview_file_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}